UPDATE HRANDEVU SET RTARIHSAAT = RTARIH + RSAAT +2, RBTARIH = DATEADD(minute, RSURE, RTARIH + RSAAT +2)
WHERE RTARIHSAAT IS NULL  AND RTARIH >= '20170101'

UPDATE HRANDEVU SET RBTARIH = DATEADD(minute, RSURE, RTARIH + RSAAT +2)
WHERE RTARIHSAAT IS NOT NULL  AND RBTARIH IS NULL AND RTARIH >= '20170101'
GO